Bug 1645723 - Review Request: slack-cleaner - Bulk delete messages/files on Slack
Summary: Review Request: slack-cleaner - Bulk delete messages/files on Slack
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1659759 1679368
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-03 00:19 UTC by Raphael Groner
Modified: 2019-05-24 13:52 UTC (History)
3 users (show)

Fixed In Version: slack-cleaner-0.5.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 20:23:46 UTC
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Comment 1 Raphael Groner 2018-11-03 05:38:09 UTC
Missing dependenncy. Please be patient.

Comment 2 Raphael Groner 2018-12-18 18:48:15 UTC
Dependency python-slacker landed in rawhide (and shortly in epel7 as well), please continue with this review.

Comment 4 Ankur Sinha (FranciscoD) 2018-12-28 12:03:58 UTC
Package Review
==============

Looks good, but some issues that need correction:

- Description must be updated. It's from the slacker package?
- _descripition -> _description
- changelog needs updating, also seems to be from another package?

- Looks like upstream is dead and there's a better maintained fork?
https://github.com/kfei/slack-cleaner/issues/51
https://github.com/sgratzl/slack-cleaner


Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated". 9 files have unknown
     license. Detailed output of licensecheck in /home/asinha/1645723
     -slack-cleaner/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
^
Correct format, but wrong version etc.

[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
^
Should the better maintained fork be used?

[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: slack-cleaner-0.3.0-1.20161113git11686f8.fc30.noarch.rpm
          slack-cleaner-0.3.0-1.20161113git11686f8.fc30.src.rpm
slack-cleaner.noarch: W: incoherent-version-in-changelog 0.9.65-1 ['0.3.0-1.20161113git11686f8.fc30', '0.3.0-1.20161113git11686f8']
slack-cleaner.noarch: W: no-manual-page-for-binary slack-cleaner
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
slack-cleaner (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3.7dist(setuptools)
    python3.7dist(slacker)



Provides
--------
slack-cleaner:
    python3.7dist(slack-cleaner)
    python3dist(slack-cleaner)
    slack-cleaner



Source checksums
----------------
https://github.com/kfei/slack-cleaner/archive/11686f8b2d9d0f3e6a48ccf8c1fa3daf7a0af62e.tar.gz#/slack-cleaner-11686f8b2d9d0f3e6a48ccf8c1fa3daf7a0af62e.tar.gz :
  CHECKSUM(SHA256) this package     : ef6cf599b959fc42e8b40783add557b0b0b9df024bd2c2215a826d5f9811b4c4
  CHECKSUM(SHA256) upstream package : ef6cf599b959fc42e8b40783add557b0b0b9df024bd2c2215a826d5f9811b4c4


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1645723
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Raphael Groner 2019-01-15 15:34:33 UTC
SPEC: https://raphgro.fedorapeople.org/review/slack/slack-cleaner.spec
SRPM: https://raphgro.fedorapeople.org/review/slack/slack-cleaner-0.5.0-1.fc29.src.rpm

%changelog
* Tue Jan 15 2019 Raphael Groner <> - 0.5.0-1
- switch to fork from sgratzl
- use rectified summary for description
- split subpackage for python3 modules

Sorry for the delay.

Comment 6 Raphael Groner 2019-01-25 22:54:39 UTC
Ping. Any news here?

Comment 7 Ankur Sinha (FranciscoD) 2019-01-28 10:40:12 UTC
Looks good now. XXX APPROVED XXX


One last nitpick, but you can correct that before importing: should the Requires on the subpackage be versioned?

Cheers,
Ankur

Comment 8 Raphael Groner 2019-02-03 17:21:22 UTC
Thanks for the review!

[builder@builder29]~% fedpkg request-repo slack-cleaner 1645723
https://pagure.io/releng/fedora-scm-requests/issue/9575
[builder@builder29]~% fedpkg request-branch --repo slack-cleaner epel7
https://pagure.io/releng/fedora-scm-requests/issue/9576

Comment 9 Gwyn Ciesla 2019-02-03 18:17:46 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/slack-cleaner

Comment 10 Raphael Groner 2019-02-20 08:53:58 UTC
Imported and built in rawhide. Still waiting for a possibility to build also in epel7.


Note You need to log in before you can comment on or make changes to this bug.